<?xml version='1.0' encoding='UTF-8' ?> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui">

    <h:head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <h:outputStylesheet library="css" name="bootstrap.min.css"/>
        <h:outputScript library="js" name="bootstrap.bundle.min.js"/>
        <h:outputStylesheet name="./css/default.css"/>
        <h:outputStylesheet name="./css/cssLayout.css"/>
        <link href="resources/css/estilomenu.css" rel="stylesheet" />
        <title>
            <ui:insert name="title">Titulo</ui:insert>
        </title>
    </h:head>

    <h:body>
        <h:form id="frmMenu">
            <div id="top">
                <ui:insert name="top">
                    <!--NAVBAR-->
                    <h:panelGroup id="Navbar" class="navbar navbar-expand-lg navbar-light bg-light">
                        <h:panelGroup class="container-fluid">
                            <h:panelGroup class="me-auto">
                                <h:graphicImage style="height: 4rem" library="img" name="logoGRupo.jpg"/>
                                <p:commandLink class="navbar-toggler" type="button" actionListener="#{mbResponsive.mostrarMenu()}" update=":frmMenu">
                                    <h:outputText class="navbar-toggler-icon"/>
                                </p:commandLink>
                            </h:panelGroup>

                            <h:panelGroup class="#{mbResponsive.mostrarPanel()} collapse navbar-collapse" style="z-index: 2" id="navbarSupportedContent">
                                <h:panelGroup class="navbar-nav me-auto mb-2 mb-lg-0">
                                    <h:panelGroup class="nav-item">
                                        <h:link class="#{mbResponsive.mostrarBotones()} nav-link" outcome="/Menu" value="INICIO"/>
                                    </h:panelGroup>
                                    <h:panelGroup class="nav-item">
                                        <h:link class="#{mbResponsive.mostrarBotones()} nav-link" outcome="/Videojuegos" value="VIDEOJUEGOS"/>
                                    </h:panelGroup>
                                    <h:panelGroup class="nav-item">
                                        <h:link class="#{mbResponsive.mostrarBotones()} nav-link" outcome="/Accesorios" value="ACCESORIOS"/>
                                    </h:panelGroup>
                                    <h:panelGroup class="nav-item">
                                        <h:link class="#{mbResponsive.mostrarBotones()} nav-link" outcome="/Consolas" value="CONSOLAS"/>
                                    </h:panelGroup>
                                    <h:panelGroup class="nav-item">
                                        <h:link class="#{mbResponsive.mostrarBotones()} nav-link" outcome="/Carrito" value="CARRITO"/>
                                    </h:panelGroup>
                                </h:panelGroup>
                            </h:panelGroup>
                            
                            <h:panelGroup class="d-flex w-50">
                                <h:panelGroup class="d-none d-md-flex">
                                    <p:inputText class="form-control me-2" type="search" placeholder="BUSCAR"/>
                                    <h:commandButton class="btn btn-outline-success" value="BUSCAR"/>
                                </h:panelGroup>
                                <h:panelGroup class="d-flex ms-auto">
                                    <h:panelGroup class="#{mbInicioSesion.sesionNoIniciada()}">
                                        <h:commandButton class="btn btn-outline-primary mx-2" id="btnAcceder" action="Usuario" value="ACCEDER"/>
                                        <h:commandButton class="btn btn-outline-warning mx-2" id="btnRegistrarse" action="NuevoUsuario" value="REGISTRARSE"/>
                                    </h:panelGroup>
                                    
                                    <h:panelGroup class="#{mbInicioSesion.sesionIniciada()}">
                                        <h:graphicImage class="mx-2" style="height: 4rem" library="icons" name="user-circle-solid-240.png"/>
                                        <h:panelGroup class="d-block">
                                            <h:outputText class="d-block mb-1" value="#{mbInicioSesion.usuario.nickname}"/>
                                            <h:commandButton class="btn btn-outline-warning d-block" value="Cerrar Sesion"/>
                                        </h:panelGroup>
                                        
                                        
                                    </h:panelGroup>
                                    
                                </h:panelGroup>
                            </h:panelGroup>
                        </h:panelGroup>
                    </h:panelGroup>
                </ui:insert>
            </div>
            <div class="d-flex my-3" style="z-index: 1">
                <div id="left" class="d-none d-lg-block bg-light">
                    <ui:insert name="left">
                    </ui:insert>
                </div>
                <div id="content" class="container-fluid">
                    <ui:insert name="content">Content</ui:insert>
                </div>
            </div>
            <div id="bottom">
                <ui:insert name="bottom">
                    <!--FOOTER-->
                    <h:panelGroup class="d-block bg-dark p-3">
                        <h:panelGroup class="container-fluid row row-cols-2 row-cols-md-4">
                            <h:panelGroup class="col my-3 m-md-0">
                                <h:graphicImage class="d-block" style="height: 7rem" library="img" name="logoGRupo.jpg"/>
                                <h:outputText class="d-block text-white mt-2" value="&copy; 2022–2023"/>
                            </h:panelGroup>
                            <h:panelGrid class="col my-3 m-md-0" columns="1">
                                <h:outputText class="text-white fw-bold" value="Acerca"/>
                                <h:link class="text-decoration-none text-white" value="Mi cuenta"/>
                                <h:link class="text-decoration-none text-white" outcome="/Carrito" value="Verificar pedido"/>
                                <h:link class="text-decoration-none text-white" outcome="/Politica" value="Política de privacidad"/>
                                <h:link class="text-decoration-none text-white" outcome="/Terminos" value="Términos y condiciones"/>
                                <h:link class="text-decoration-none text-white" value="Another one"/>
                                <h:link class="text-decoration-none text-white" value="Last time"/>
                            </h:panelGrid>
                            <h:panelGroup class="col my-3 m-md-0" >
                                <h:panelGrid columns="1">
                                    <h:outputText class="text-white fw-bold" value="Resources"/>
                                    <h:link class="text-decoration-none text-white" value="Resource"/>
                                    <h:link class="text-decoration-none text-white" value="Resource name"/>
                                    <h:link class="text-decoration-none text-white" value="Another resource"/>
                                    <h:link class="text-decoration-none text-white" value="Final resource"/>
                                </h:panelGrid>
                            </h:panelGroup>
                            <h:panelGroup class="col my-3 m-md-0" >
                                <h:panelGrid columns="1">
                                    <h:outputText class="text-white fw-bold" value="Quienes Somos"/>
                                    <h:link class="text-decoration-none text-white" value="Team"/>
                                    <h:link class="text-decoration-none text-white" value="Locations"/>
                                    <h:link class="text-decoration-none text-white" value="Privacy"/>
                                    <h:link class="text-decoration-none text-white" value="Terms"/>
                                </h:panelGrid>
                            </h:panelGroup>
                        </h:panelGroup>
                    </h:panelGroup>
                </ui:insert>
            </div>
        </h:form>
    </h:body>

</html>
